Show / Hide Table of Contents

# Class OpenIddictResponse

Represents a generic OpenIddict response.

##### Inheritance

System.Object
OpenIddictMessage
OpenIddictResponse

##### Inherited Members

OpenIddictMessage.Item[String]
OpenIddictMessage.Count
OpenIddictMessage.Parameters
OpenIddictMessage.AddParameter(String, OpenIddictParameter)
OpenIddictMessage.GetParameter(String)
OpenIddictMessage.GetParameters()
OpenIddictMessage.HasParameter(String)
OpenIddictMessage.RemoveParameter(String)
OpenIddictMessage.SetParameter(String, Nullable<OpenIddictParameter>)
OpenIddictMessage.TryGetParameter(String, OpenIddictParameter)
OpenIddictMessage.ToString()
OpenIddictMessage.WriteTo(Utf8JsonWriter)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Abstractions

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictResponse : OpenIddictMessage

##### Remarks

Security notice: developers instantiating this type are responsible of ensuring that the imported parameters are safe and won't cause the resulting message to grow abnormally, which may result in an excessive memory consumption and a potential denial of service.

### Constructors

#### OpenIddictResponse()

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse()

#### OpenIddictResponse(IEnumerable<KeyValuePair<String, OpenIddictParameter>>)

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse(IEnumerable<KeyValuePair<string, OpenIddictParameter>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, OpenIddictParameter>> | parameters | The response parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictResponse(IEnumerable<KeyValuePair<String, StringValues>>)

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse(IEnumerable<KeyValuePair<string, StringValues>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, StringValues>> | parameters | The response parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictResponse(IEnumerable<KeyValuePair<String, String[]>>)

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse(IEnumerable<KeyValuePair<string, string[]>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, System.String[]>> | parameters | The response parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictResponse(IEnumerable<KeyValuePair<String, String>>)

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse(IEnumerable<KeyValuePair<string, string>> parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
IEnumerable<KeyValuePair<System.String, System.String>> | parameters | The response parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

#### OpenIddictResponse(JsonElement)

Initializes a new OpenIddict response.

##### Declaration

    public OpenIddictResponse(JsonElement parameters)

##### Parameters

Type | Name | Description
--- | --- | ---
JsonElement | parameters | The response parameters.

##### Remarks

Parameters with a null or empty key are always ignored.

### Properties

#### AccessToken

Gets or sets the "access_token" parameter.

##### Declaration

    public string AccessToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Code

Gets or sets the "code" parameter.

##### Declaration

    public string Code { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### DeviceCode

Gets or sets the "device_code" parameter.

##### Declaration

    public string DeviceCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Error

Gets or sets the "error" parameter.

##### Declaration

    public string Error { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorDescription

Gets or sets the "error_description" parameter.

##### Declaration

    public string ErrorDescription { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ErrorUri

Gets or sets the "error_uri" parameter.

##### Declaration

    public string ErrorUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### ExpiresIn

Gets or sets the "expires_in" parameter.

##### Declaration

    public long? ExpiresIn { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int64> |

#### IdToken

Gets or sets the "id_token" parameter.

##### Declaration

    public string IdToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RefreshToken

Gets or sets the "refresh_token" parameter.

##### Declaration

    public string RefreshToken { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Scope

Gets or sets the "scope" parameter.

##### Declaration

    public string Scope { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### State

Gets or sets the "state" parameter.

##### Declaration

    public string State { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### TokenType

Gets or sets the "token_type" parameter.

##### Declaration

    public string TokenType { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### UserCode

Gets or sets the "user_code" parameter.

##### Declaration

    public string UserCode { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |